from typing import List

from backend.categorisation.categorisation_trigger_request import (
    CategorisationTriggerRequest,
)
from backend.categorisation.processor import process_portfolio


def main() -> None:
    portfolio_id = 556
    scenarios_to_consider: List[int] = []
    scenario_priority_order: List[int] = []

    process_portfolio(
        CategorisationTriggerRequest(
            portfolio_id=portfolio_id,
            scenarios_to_consider=scenarios_to_consider,
            scenario_priority_order=scenario_priority_order,
        )
    )


if __name__ == "__main__":
    main()
